List all ramp requests
curl --request GET \
--url https://api-fundflow.venly.io/v1/ramp-requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-fundflow.venly.io/v1/ramp-requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-fundflow.venly.io/v1/ramp-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"pagination": {
"pageNumber": 123,
"pageSize": 123,
"numberOfElements": 123,
"numberOfPages": 123,
"hasNextPage": true,
"hasPreviousPage": true
},
"sort": {
"orders": [
"ASC"
]
},
"result": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paymentReference": "<string>",
"rampType": "ON_RAMP",
"status": "AWAITING_APPROVAL",
"fiatAmount": 123,
"fiatCurrency": "<string>",
"cryptoAmount": 123,
"cryptoCurrency": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>"
}
]
}{
"success": false,
"errors": [
{
"code": "validation-error",
"message": "A descriptive error message"
}
]
}{
"success": false,
"errors": [
{
"code": "UNAUTHORIZED",
"message": "Access is denied."
}
]
}{
"success": false,
"errors": [
{
"code": "FORBIDDEN",
"message": "User doesn't have proper authority to access this resource"
}
]
}{
"success": false,
"errors": [
{
"code": "NOT_FOUND"
}
]
}{
"success": false,
"errors": [
{
"code": "METHOD_NOT_SUPPORTED",
"message": "HttpMethod is not supported. Supported methods are [..]"
}
]
}{
"success": false,
"errors": [
{
"code": "INVALID_MEDIA_TYPE"
}
]
}{
"success": false,
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"message": "A description of the error (optional)"
}
]
}Ramp Requests
List all ramp requests
Retrieve a paginated, filterable list of your on-ramp and off-ramp requests.
GET
/
v1
/
ramp-requests
List all ramp requests
Returns ramp requests for your company with optional filtering by
rampType, status, date range, and paymentReference, plus sorting and pagination.
Concept guide: TransactionsAuthorizations
OAuth2 authentication via Venly Identity Platform
Query Parameters
Filter by ramp type (ON_RAMP for fiat-to-crypto, OFF_RAMP for crypto-to-fiat)
Available options:
ON_RAMP, OFF_RAMP Filter by request status
Available options:
AWAITING_APPROVAL, AWAITING_FUNDS, PROCESSING, SUCCEEDED, FAILED, BLOCKED, DENIED, REJECTED, CANCELLED Filter requests created on or after this date (inclusive)
Filter requests created on or before this date (inclusive)
Filter by payment reference (auto-generated unique identifier)
Field name to sort by
Sort direction
Available options:
ASC, DESC Page number (1-based indexing)
Required range:
x >= 1Number of items per page
Required range:
x >= 1Was this page helpful?

